# std::chrono::time_point::time_since_epoch

From cppreference.com
< cpp‎ | chrono‎ | time point

duration time_since_epoch() const; |  | (since C++11) (until C++14)
constexpr duration time_since_epoch() const; |  | (since C++14)

Returns a duration representing the amount of time between *this and the `clock`'s epoch.

### Parameters

(none)

### Return value

The amount of time between this `time_point` and the `clock`'s epoch

### Example

Run this code

    #include <iostream>
    #include <chrono>
    #include <ctime>

    int main()
    {
        std::chrono::time_point<std::chrono::system_clock> p1, p2, p3;

        p2 = std::chrono::system_clock::now();
        p3 = p2 - std::chrono::hours(24);

        std::time_t epoch_time = std::chrono::system_clock::to_time_t(p1);
        std::cout << "epoch: " << std::ctime(&epoch_time);
        std::time_t today_time = std::chrono::system_clock::to_time_t(p2);
        std::cout << "today: " << std::ctime(&today_time);

        std::cout << "hours since epoch: "
                  << std::chrono::duration_cast<std::chrono::hours>(
                       p2.time_since_epoch()).count()
                  << '\n';
        std::cout << "yesterday, hours since epoch: "
                  << std::chrono::duration_cast<std::chrono::hours>(
                       p3.time_since_epoch()).count()
                  << '\n';
    }

Possible output:

    epoch: Wed Dec 31 19:00:00 1969
    today: Tue Jun 19 12:05:37 2012
    hours since epoch: 372256
    yesterday, hours since epoch: 372232

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/chrono/time_point/time_since_epoch&oldid=86072"